コード例 #1
0
        public static System.Boolean PlaneToPlane(
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane1_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane2_)
        {
            var Plane1 = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane1_);
            var Plane2 = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane2_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "PlaneToPlane", Plane1, Plane2);

            return(result);
        }
コード例 #2
0
        public static System.Boolean LineSegmentToPlane(
            Dynamic.Tekla.Structures.Geometry3d.LineSegment LineSegment_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var LineSegment = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.GetTSObject(LineSegment_);
            var Plane       = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result      = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "LineSegmentToPlane", LineSegment, Plane);

            return(result);
        }
コード例 #3
0
        public static System.Boolean VectorToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Vector Vector_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Vector = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(Vector_);
            var Plane  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "VectorToPlane", Vector, Plane);

            return(result);
        }
コード例 #4
0
        public static System.Double PointToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Point  = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var Plane  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result = (System.Double)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Distance", "PointToPlane", Point, Plane);

            return(result);
        }
コード例 #5
0
        public static Dynamic.Tekla.Structures.Geometry3d.Line PlaneToPlane(
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane plane1_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane plane2_)
        {
            var plane1  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(plane1_);
            var plane2  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(plane2_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Intersection", "PlaneToPlane", plane1, plane2);
            var _result = Dynamic.Tekla.Structures.Geometry3d.Line_.FromTSObject(result);

            return(_result);
        }
コード例 #6
0
        public static Dynamic.Tekla.Structures.Geometry3d.Point LineSegmentToPlane(
            Dynamic.Tekla.Structures.Geometry3d.LineSegment lineSegment_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane plane_)
        {
            var lineSegment = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.GetTSObject(lineSegment_);
            var plane       = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(plane_);
            var result      = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Intersection", "LineSegmentToPlane", lineSegment, plane);
            var _result     = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(result);

            return(_result);
        }
コード例 #7
0
        public static Dynamic.Tekla.Structures.Geometry3d.LineSegment LineSegmentToPlane(
            Dynamic.Tekla.Structures.Geometry3d.LineSegment LineSegment_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var LineSegment = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.GetTSObject(LineSegment_);
            var Plane       = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result      = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Projection", "LineSegmentToPlane", LineSegment, Plane);
            var _result     = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.FromTSObject(result);

            return(_result);
        }
コード例 #8
0
        public static System.Boolean LineToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Line Line_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_,
            System.Double Tolerance)
        {
            var Line   = Dynamic.Tekla.Structures.Geometry3d.Line_.GetTSObject(Line_);
            var Plane  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Parallel", "LineToPlane", Line, Plane, Tolerance);

            return(result);
        }
コード例 #9
0
        public System.Boolean Intersects(
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane geometricPlane_)
        {
            var geometricPlane = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(geometricPlane_);

            try
            {
                var result = (System.Boolean)teklaObject.Intersects(geometricPlane);

                return(result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(Intersects), ex);
            }
        }